/*
To do: 
    -Completamente rever o look do site.
    -Cores mais claras.
    -Restruturar o site para não ficar tão dependente das imagens. 
    -Pensar em remover o screen-door effect que está a dar problemas. 
    -Repensar a forma como estão organizadas as divs. Aprender a alinhar texto sem recorrer a margens/padding absolutas. 
    -Possivalmente passar para uma estrutura de texto corrido em vez de fazer imagens lado a lado. Se continuarmos com essa estrutura. Reduzir o tamanho das imagens e do texto de modo a que as margens não estejam tão proximas ao máximo do ecrã. 
    -Testar em vários ecrãs é crucial. 
    -Remover ou parodiar toda a imagem comunista do site. 







*/

/* Geral --------------------------------------------------------------------------------------*/

@font-face {
    font-family: 'future_socialism';
    src: url('../fonts/future_socialism-webfont.woff2') format('woff2'),
         url('../fonts/future_socialism-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'bad_grunge';
    src: url('../fonts/bad_grunge-webfont.woff2') format('woff2'),
         url('../fonts/bad_grunge-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

* { /*O asterisco aplica a todos os frames.*/
    margin: 0 auto; /*Faz reset de todas as margens em todos os elementos */
}

html, body { /*O frame "pai" tem de ter uma altura para que os frames "filhos" possam ter. */
    height: 100%; 
    min-width: 1080px; 
    font-family: sans-serif; 
}

h1, h2, h3, h4, h5, h6 { /*supõe que vamos ter 6 headers, podemos colocar mais. */
    margin-bottom: 20px; /*Restauramos o valor da margem inferior.*/
}


p{
    margin-bottom: 20px; 
}

/* Barra Navegação --------------------------------------------------------------------------------------*/


nav {
    position: fixed; 
    
    margin-top: 5px;
    margin-left: 10px; 
    
    width: 100%; 
    height: 50px; /*O tamanho da barra de navegação, em pixeis. */
    background-color: white; 
    z-index: 99; /*Toma a certeza que a navegação está sempre por cima de todas as outras imagens. */
    text-align: right; /*Alinha o texto da barra à direita da página. */
    border-color: red; 
    border-radius: 15px; 
    
    
}

nav a{
    margin-right: 45px; 
    line-height: 100%; /*Line-height a 100% alinha todos os conteudos ao centro da linha. */
}

nav img{
    margin-top: 8px; 
    width: 35px; 
}

#logo_comunas { 
    height: 25px;
    position: fixed;
    z-index: 9999; 
    margin-top: 12px; 
    margin-left: 12px; 
    
}


/* Classes base --------------------------------------------------------------------------------------*/

/*Criamos classes para serir as secções e subsecções da página, em vez de utilizar as tags. */

.section {
    height: 100%; 
    background-color: gainsboro; 
    background-size: cover; /*Faz as imagens cobrir toda a divisão. */
    background-repeat: no-repeat; /*Caso a imagem não seja grande o suficiente para cobrir toda a página, não repetir a imagem. */
    background-attachment: fixed; /*Cria um efeito de "screen wipe" com as imagens, mantendo-as fixas até chegar ao final da imagem, no qual vai mudar para a próxima. O efeito é mais eficaz se utilizarmos subsecções. */
    position: relative;
	background-position: top center;
    padding-top: 80px; 
    padding-right: 40px; 
    padding-left: 40px; 
    border:1px solid rgba(0,0,0,0);
 
}

.subSection {
    height: 50%; /*Podemos alterar aqui até um máximo de 100%. */
    background-color: whitesmoke; 
  
}

.text { 
    line-height: 55px; 
    font-family: 'Fjalla One' , sans-serif; 
    color: white; 
    font-size: 30px; 
    text-align: justify;
    text-justify: auto; 
}

.title {
    line-height: 80px; 
    font-family: Anton; 
    font-size: 50px; 
    color: whitesmoke; 
    text-align: justify;
    text-justify: auto; 
}



/*Criamos cada secção aqui.
Temos de usar background-image para o efeito que queremos, senão não funciona. 
Como este ficheiro "style.css" encontra-se no diretório "css", temos de sair deste diret
orio ".." para mudar para o diretório das imagens. 
*/


/* Home --------------------------------------------------------------------------------------*/


.sectionHome{
margin: 0; 
background-image: url(../images/Home_background.png);  
}

#slogan{
    float:left; 
    height: 32%; 
    margin-top: 3%;
    margin-left: 7%; 
    margin-right: 100%; 
    vertical-align: middle;
    margin-bottom: 5%; 
}

.stores{
    float:left; 
    height: 15%; 
    padding-left: 14%; 
    margin-right: 100%; 
    vertical-align: middle;
    margin-bottom: 10%; 
}

#apple_store,#play_store{
    height: 100%; 
    padding-bottom: 20px;
}

#apple_store:hover,#play_store:hover{
    height: 102%; 
}



/* App --------------------------------------------------------------------------------------*/

.sectionApp{
    background-color: black; 
}

#ez_app{ 
    height: 84%;
    margin-right: 20px;
    margin-right: 60px; 
    vertical-align: top; 
    float: left; 
}

.app_text{
    line-height:41px; 
    font-size: 18px; 
}

#products{ 
    height: 300px; 
    padding-top: 5%; 
    margin-left: auto;
	margin-right: auto;
    display: block; 
}

.subsectionApp{
    background-color: black; 
    height: 700px; 
    border: 1px solid rgba(0,0,0,0); 
    padding-bottom: 40px; 
}

.funcionalidades_text{
    color:white; 
    margin-left: 20px;
    text-align: justify;
    text-justify: auto;
    font-size: 22px;
    line-height: 60px; 
}

#phones{
    float: right; 
    margin-left: 20px; 
}

/* About --------------------------------------------------------------------------------------*/

.sectionAbout{ 
    background-color: red;
    padding-top: 85px; 
}

.about_text{
    padding-top:85px;
    line-height: 46px; 
    font-size: 39px;
}

.about_title{
    margin-left: auto; 
    margin-right: auto; 
    display: block; 
    font-size: 5em; 
}

#lenin_comunas{
    float: left; 
    height: 80%; 
    margin-right: 4em; 
}


/* Contactos --------------------------------------------------------------------------------------*/

.sectionContact{
margin: 0; 
background-color: white; 
padding-top: 0px; 
padding-right: 40px; 
padding-left: 0px; 
padding-bottom:20px;
background-image: url(../images/lenin_contact.png); 
border: 1px solid red; 
border-left: none; 
border-right: none; 
       height: 750px;
}

.contact_text{
    margin-top: 100px; 
    text-decoration: none; 
    color: black; 
}

.contacts_icon{
    width: 110px; 
    float: left;
    vertical-align: middle; 
    padding-right: 20px;
    padding-bottom: 20px; 
}

a:hover{
    color:red; 
}

.contacts_title{
    color:black; 
    font-family: "bad_grunge";
    font-size: 75px; 
}

.contacts{
    resize: both;
    padding-top: 100px; 
    padding-left: 650px;
}
/* Fim da página --------------------------------------------------------------------------------------*/

.sectionPageEnd{
    background-color: rgba(255,255,255,1);
    height: 50px; 
    text-align: center; 
    line-height: 20px;
    color: darkgrey; 
    padding-top: 0px; 
    border-top-width: 2px;
    border-color: darkred; 
    border-top-style: double; 
    border-bottom-style: hidden; 
    border-left-style: hidden;
    border-right-style: hidden; 
    
}

#isep_ipp{
    margin-top: 20px; 
}

.nota{
    margin-top: 80px; 
}


